This URL retrieves the countries of the top attackers.
Resource URL
GET /alerts/TopN/attacker_countries
Request Parameters
URL Parameters: None
Payload Request Parameters: None
Query Parameters:
| Field Name | Description | Data Type | Mandatory |
|---|---|---|---|
| duration | Indicates the start time for the alerts. The default value is LAST_14_DAYS. Duration can be:
|
String | No |
Response Parameters
Following fields are returned.
| Field Name | Description | Data Type |
|---|---|---|
| TopAttackerCountriesList | List of the countries of the top attackers | Array |
Details of fields in TopAttackerCountriesList:
| Field Name | Description | Data Type |
|---|---|---|
| countryName | Name of the country | String |
| attackCount | Count of the attack | Number |
Example
Request
GET https://<NSM_IP>/sdkapi/alerts/TopN/attacker_countries?duration=LAST_14_DAYS
Payload
None
Response
{
"TopAttackerCountriesList":
[{
"countryName":"Japan","attackCount":231486.0},
{"countryName":"United States","attackCount":126461.0},
{"countryName":"France","attackCount":48914.0},
{"countryName":"China","attackCount":29678.0},
{"countryName":"Australia","attackCount":25757.0},
{"countryName":"Bosnia and Herzegovina","attackCount":6395.0},
{"countryName":"Spain","attackCount":6276.0},
{"countryName":"Taiwan","attackCount":6107.0},
{"countryName":"Canada","attackCount":3204.0
}]
}
Error Information
Following error codes are returned by this URL:
| No | HTTP Error Code | SDK API errorId | SDK API errorMessage |
|---|---|---|---|
| 1 | 500 | 1001 | Internal error |
| 2 | 400 | 3601 | Invalid duration |